<?php
namespace Claromentis\Admin\Sysadmin\AbsoluteUrl;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array();
use Claromentis\Core\DAL\QueryBuilder;
interface AbsoluteUrlInterface
{
    
    
    
    
    
    
    
    public const ABSOLUTE_URL_TYPE_LINK = 'link';
    public const ABSOLUTE_URL_TYPE_CONTENT = 'content';
    
    
    
    
    
    
    public function getName() : string;
    
    
    
    
    
    
    public function getType() : string;
    
    
    
    
    
    
    
    public function getLink($object) : string;
    
    
    
    
    
    
    
    
    public function getContent($object, $content) : string;
    
    
    
    
    
    
    
    
    
    public function setSource(string $source);
    
    
    
    
    
    
    
    
    public function getSource() : ?string;
    
    
    
    
    
    
    public function getQueryBuilder() : QueryBuilder;
}